Generation Framework

## org.eclipse.gmf.mappings.impl
Class ExpressionLabelMappingImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.mappings.impl.LabelMappingImpl
                      org.eclipse.gmf.mappings.impl.ExpressionLabelMappingImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ExpressionLabelMapping, LabelMapping

    public class ExpressionLabelMappingImpl

extends LabelMappingImpl
implements ExpressionLabelMapping

An implementation of the model object 'Expression Label Mapping'.

The following features are implemented:

- `View Expression`
- `Edit Expression`
- `Validate Expression`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected ValueExpression` `editExpression` The cached value of the '`Edit Expression`' containment reference
`protected Constraint` `validateExpression` The cached value of the '`Validate Expression`' containment reference
`protected ValueExpression` `viewExpression` The cached value of the '`View Expression`' containment reference

Fields inherited from class org.eclipse.gmf.mappings.impl.LabelMappingImpl
`diagramLabel, READ_ONLY_EDEFAULT, readOnly`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ExpressionLabelMappingImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetEditExpression(ValueExpression newEditExpression, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetValidateExpression(Constraint newValidateExpression, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetViewExpression(ValueExpression newViewExpression, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`ValueExpression` `getEditExpression()`
`Constraint` `getValidateExpression()`
`ValueExpression` `getViewExpression()`
`void` `setEditExpression(ValueExpression newEditExpression)`
`void` `setValidateExpression(Constraint newValidateExpression)`
`void` `setViewExpression(ValueExpression newViewExpression)`

Methods inherited from class org.eclipse.gmf.mappings.impl.LabelMappingImpl
`basicGetDiagramLabel, eBasicRemoveFromContainerFeature, eInverseAdd, getDiagramLabel, getMapEntry, isReadOnly, setDiagramLabel, setReadOnly, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.mappings.LabelMapping
`getDiagramLabel, getMapEntry, isReadOnly, setDiagramLabel, setReadOnly`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### viewExpression

    protected ValueExpression viewExpression

  The cached value of the '`View Expression`' containment reference.

  See Also:
    `getViewExpression()`
  ** Generated **
  Ordered:

### editExpression

    protected ValueExpression editExpression

  The cached value of the '`Edit Expression`' containment reference.

  See Also:
    `getEditExpression()`
  ** Generated **
  Ordered:

### validateExpression

    protected Constraint validateExpression

  The cached value of the '`Validate Expression`' containment reference.

  See Also:
    `getValidateExpression()`
  ** Generated **
  Ordered:

Constructor Detail

### ExpressionLabelMappingImpl

    protected ExpressionLabelMappingImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `LabelMappingImpl`
  ** Generated **

### getViewExpression

    public ValueExpression getViewExpression()

  Specified by:
    `getViewExpression` in interface `ExpressionLabelMapping`
  Returns:
    the value of the 'View Expression' containment reference.
  See Also:
    `ExpressionLabelMapping.setViewExpression(ValueExpression)`, `GMFMapPackage.getExpressionLabelMapping_ViewExpression()`
  ** Generated **

### basicSetViewExpression

    public org.eclipse.emf.common.notify.NotificationChain basicSetViewExpression(ValueExpression newViewExpression,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setViewExpression

    public void setViewExpression(ValueExpression newViewExpression)

  Specified by:
    `setViewExpression` in interface `ExpressionLabelMapping`
  Parameters:
    `newViewExpression` - the new value of the 'View Expression' containment reference.
  See Also:
    `ExpressionLabelMapping.getViewExpression()`
  ** Generated **

### getEditExpression

    public ValueExpression getEditExpression()

  Specified by:
    `getEditExpression` in interface `ExpressionLabelMapping`
  Returns:
    the value of the 'Edit Expression' containment reference.
  See Also:
    `ExpressionLabelMapping.setEditExpression(ValueExpression)`, `GMFMapPackage.getExpressionLabelMapping_EditExpression()`
  ** Generated **

### basicSetEditExpression

    public org.eclipse.emf.common.notify.NotificationChain basicSetEditExpression(ValueExpression newEditExpression,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setEditExpression

    public void setEditExpression(ValueExpression newEditExpression)

  Specified by:
    `setEditExpression` in interface `ExpressionLabelMapping`
  Parameters:
    `newEditExpression` - the new value of the 'Edit Expression' containment reference.
  See Also:
    `ExpressionLabelMapping.getEditExpression()`
  ** Generated **

### getValidateExpression

    public Constraint getValidateExpression()

  Specified by:
    `getValidateExpression` in interface `ExpressionLabelMapping`
  Returns:
    the value of the 'Validate Expression' containment reference.
  See Also:
    `ExpressionLabelMapping.setValidateExpression(Constraint)`, `GMFMapPackage.getExpressionLabelMapping_ValidateExpression()`
  ** Generated **

### basicSetValidateExpression

    public org.eclipse.emf.common.notify.NotificationChain basicSetValidateExpression(Constraint newValidateExpression,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setValidateExpression

    public void setValidateExpression(Constraint newValidateExpression)

  Specified by:
    `setValidateExpression` in interface `ExpressionLabelMapping`
  Parameters:
    `newValidateExpression` - the new value of the 'Validate Expression' containment reference.
  See Also:
    `ExpressionLabelMapping.getValidateExpression()`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `LabelMappingImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `LabelMappingImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `LabelMappingImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `LabelMappingImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `LabelMappingImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.